//
//  SpeakEleOtherCell.swift
//  SpeakEasyLearnEnglish
//
//  Created by mac on 2025/7/16.
//

import UIKit

class SpeakEleOtherCell: UITableViewCell {

    lazy var backView: UIView = {
       let bView = UIView()
        bView.backgroundColor = .white
        bView.isUserInteractionEnabled = true
       return bView
   }()
    override init(style: UITableViewCell.CellStyle, reuseIdentifier: String?) {
        super.init(style: style, reuseIdentifier: reuseIdentifier)
        self.contentView.backgroundColor = .clear
        self.backgroundColor = .clear
        //  创建UI方法
        creatUI()
//        bindViewModel()
    }
    //  这个方法也是必须要实现的，和重写初始化方法在一起实现。
    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }

    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

    }
    
    func creatUI() {
        self.contentView.addSubview(backView)
        backView.snp.makeConstraints { make in
            make.left.equalTo(24)
            make.right.equalTo(-24)
            make.top.equalTo(18)
            make.bottom.equalTo(-24)
            make.height.equalTo(288)
        }
        backView.corners = 16
        
    }
}
